#ifndef __ENSEMBLE__
#define __ENSEMBLE__

#include<stdio.h>
#define N 32

typedef unsigned long ENSEMBLE;

void vider(ENSEMBLE *e);
int est_vide(ENSEMBLE e);
int appartient(int i, ENSEMBLE e);
void ajouter(int i, ENSEMBLE *e);
void enlever(int i, ENSEMBLE *e);
void intersection(ENSEMBLE e1, ENSEMBLE e2, ENSEMBLE *r);
void reunion(ENSEMBLE e1, ENSEMBLE e2, ENSEMBLE *r);
void complementaire(ENSEMBLE e, ENSEMBLE *r);
void parcours(ENSEMBLE e, void (*f)(int));
void afficher(ENSEMBLE e);

#endif
