#ifndef __SDG_LC__
#define __SDG_LC__

typedef struct s_lc_maillon
{
  void *val;
  struct s_lc_maillon *suiv;
} sdg_lc, LC_MAILLON, LCM;

sdg_lc *sdg_lc_cree(void *val, sdg_lc *suiv);
sdg_lc *sdg_lc_ajoute_queue(sdg_lc *tete, sdg_lc *nouv);
void    sdg_lc_detruit_maillon(sdg_lc *pm);
void   *sdg_lc_recherche(sdg_lc *tete, void *elt);
long    sdg_lc_longueur(sdg_lc *ptr);
void    sdg_lc_nettoie(sdg_lc *tete, void *(*nettoie_val)(void *));
void    sdg_lc_detruit(sdg_lc *tete, void (*detruit_val)(void *));
void    sdg_lc_affiche(sdg_lc *tete, void (*affiche_val)(void *));
sdg_lc *sdg_lc_trie(sdg_lc *tete, int (*comparaison)(const void*, const void*));
sdg_lc *sdg_lc_duplique(sdg_lc *tete);
/*----------------------------------------------------------*/
/*----------POUR COMPATIBILITE -----------------------------*/
/*----------------------------------------------------------*/

LC_MAILLON *lc_cree_maillon(void *val, LC_MAILLON *suiv);
LC_MAILLON *lc_ajoute_queue(LC_MAILLON *tete, LC_MAILLON *nouv);
void lc_detruit_maillon(LC_MAILLON *pm);
void *lc_recherche(LC_MAILLON *tete, void *elt);
int lc_longueur_liste(LC_MAILLON *ptr);
void lc_nettoie(LC_MAILLON *tete, void *(*nettoie_val)(void *));
void lc_detruit(LC_MAILLON *tete, void (*detruit_val)(void *));
void lc_affiche(LC_MAILLON *tete, void (*affiche_val)(void *));

#endif



