#ifndef __LCN__
#define __LCN__

typedef struct s_lcn_maillon
{
  char *clef;
  void *val;
  struct s_lcn_maillon *suiv;
} sdg_lcn, LCN_MAILLON;

sdg_lcn *sdg_lcn_cree(char * clef, void *val, sdg_lcn *suiv);
int sdg_lcn_longueur(sdg_lcn *ptr);
void *sdg_lcn_recherche(sdg_lcn *tete, char *clef);
void *sdg_lcn_recherche_maillon(LCN_MAILLON *tete, char *clef);
sdg_lcn *sdg_lcn_ajoute_queue(sdg_lcn *tete, sdg_lcn *nouv);
sdg_lcn *sdg_lcn_duplique(sdg_lcn *tete);
/*----------------------------------------------------------*/
/*----------POUR COMPATIBILITE -----------------------------*/
/*----------------------------------------------------------*/

LCN_MAILLON *lcn_cree_maillon(char * clef, void *val, LCN_MAILLON *suiv);
int lcn_longueur_liste(LCN_MAILLON *ptr);

#endif



