/*
	Module permettant de construire la table des probabilites de transition
*/

#ifndef _BIGRAM_
#define _BIGRAM_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "../include/sdg.h" 
#include "dims.h"

double **charge_bigram (char *nom_fichier_bigram,sdg_ht *ht_cat,int nb_cat);

void calcule_proba_bigram (double **tab_bigram, int nb_cat);

void calcule_proba_bigram_lisse (double **tab_bigram, int nb_cat);

double proba_cat_cat (double **tab_bigram, int c1, int c2);

double* proba_all_cat (double **tab_bigram, int cat, int nb_cat);

#endif
