/*
  Module associant a chaque categorie un code sous forme d'entier plus facile
  a manipuler qu'une chaine de carateres
*/

#ifndef _CAT_
#define _CAT_

#include "../include/sdg.h"
#include <stdio.h>
#include "dims.h"

/* Parse le fichier contenant les categories
   Renvoie la table de hachage ou les categories sont rangees */
sdg_ht* lire_fichier_codes (char *nom_fichier, int* nb_cat);

/* code -> categorie en chaine de caracteres */
char** sdg_ht_allcat (sdg_ht *cat_ht, int nb_cat);

#endif
