#ifndef _VITERBI_
#define _VITERBI_

#include <stdlib.h>
#include "../include/sdg.h"
#include "dims.h"
#include "dico.h"
#include "bigram.h"

int *viterbi (sdg_ht *ht_emis, double **t_trans, char **phrase, int long_phrase, int nb_cat);

void initialise_delta (sdg_ht *ht_emis, char **phrase, double **delta,  int nb_cat);

void calcule_delta (double **delta, sdg_ht *ht_emis, double **t_trans, int **psi, char **phrase, int long_phrase, int nb_cat);

void determiner_meilleur_chemin (double **delta, int **psi, int *meilleur_chemin,  int long_phrase, int nb_cat);

#endif
