#ifndef _DIVERS_
#define _DIVERS_

#include <stdlib.h>
#include "../include/sdg.h"
#include "dico.h"
#include "bigram.h"
#include "dims.h"

/* Affichage des tables de transition et mission */
void affiche_tables (sdg_ht* ht_emis, double **t_trans, int col, int nb_cat);

/* Calcule la proba forward d'une phrase */
double proba_alpha (sdg_ht* ht_emis, double **t_trans, char **phrase, int long_phrase, int nb_cat);

/* Calcule la proba backward d'une phrase */
double proba_beta (sdg_ht* ht_emis, double **t_trans, char **phrase, int long_phrase, int nb_cat);

#endif
