#ifndef __HASH__
#define __HASH__

#include<stdio.h>
#include<stdlib.h>

#define TAILLE_H 109

typedef struct h_maillon
{
  char *clef;
  void *val;
  struct h_maillon *suiv;
} H_MAILLON;

typedef struct h_table
{
  int taille;
  H_MAILLON ** tab;
} H_TABLE;

unsigned int h_code(char *s0);
H_TABLE *h_cree_table_std(void);
H_TABLE *h_cree_table(int taille);
H_MAILLON *h_cree_maillon(char * clef, void *val, H_MAILLON *suiv);
H_MAILLON *h_ajoute_debut(H_MAILLON *tete, H_MAILLON *nouv);
H_TABLE *h_insere(H_TABLE *table, char *clef, void *val);
void *h_recherche(H_TABLE *table, char *clef);
void h_vide_table(H_TABLE *table);
void h_detruit_table(H_TABLE *table);
int h_nb_entrees(H_TABLE *table);
int h_longueur_liste(H_MAILLON *ptr);

#endif



