#ifndef __ARBRES__
#define __ARBRES__

typedef struct noeud
{
  void *val;
  struct noeud *fils;
  struct noeud *frere;
  struct noeud *pere;
} NOEUD;

int arbre_nb_fils(NOEUD *racine);
NOEUD *arbre_cree_noeud(void *val, NOEUD *fils, NOEUD *pere);
NOEUD *arbre_ajoute_fils(NOEUD *pere, NOEUD *fils);
LC_MAILLON *arbre_feuilles(NOEUD *racine);
LC_MAILLON *arbre_descendants(NOEUD *racine);

#endif
