#ifndef __HT__
#define __HT__

#define TAILLE_H 109

typedef struct
{
  int taille;
  sdg_lcn **tab;
} H_TABLE, sdg_ht;

unsigned  int  sdg_ht_code(char *s0);
sdg_ht        *sdg_ht_cree_std(void);
sdg_ht        *sdg_ht_cree(int taille);
sdg_ht        *sdg_ht_insere(sdg_ht *table, char *clef, void *val);
sdg_ht        *sdg_ht_remplace(sdg_ht *table, char *clef, void *val);
void          *sdg_ht_recherche(sdg_ht *table, char *clef);
void           sdg_ht_vide(sdg_ht *table);
void           sdg_ht_detruit(sdg_ht *table);
int            sdg_ht_nb_entrees(sdg_ht *table);
sdg_lc        *sdg_ht_clefs(sdg_ht *htab);
void           sdg_ht_affiche_clefs(sdg_ht *htab);
void           sdg_ht_taux_remplissage(FILE *flot, sdg_ht *table);


/*----------------------------------------------------------*/
/*----------POUR COMPATIBILITE -----------------------------*/
/*----------------------------------------------------------*/

unsigned int h_code(char *s0);
H_TABLE *h_cree_table_std(void);
H_TABLE *h_cree_table(int taille);
H_TABLE  *h_insere(H_TABLE *table, char *clef, void *val);
void *h_recherche(H_TABLE *table, char *clef);
void h_vide_table(H_TABLE *table);
void h_detruit_table(H_TABLE *table);
int h_nb_entrees(H_TABLE *table);
LC_MAILLON *h_clefs(H_TABLE *htab);

#endif



