#ifndef __LCI__
#define __LCI__

typedef struct s_lci_maillon
{
  int clef;
  void *val;
  struct s_lci_maillon *suiv;
} sdg_lci;

sdg_lci *sdg_lci_cree(int clef, void *val, sdg_lci *suiv);
int sdg_lci_longueur(sdg_lci *ptr);
void *sdg_lci_recherche(sdg_lci *tete, int clef);
sdg_lci *sdg_lci_recherche_maillon(sdg_lci *tete, int clef);
sdg_lci *sdg_lci_ajoute_queue(sdg_lci *tete, sdg_lci *nouv);
sdg_lci *sdg_lci_duplique(sdg_lci *tete);
void sdg_lci_detruit(sdg_lci *tete, void (*detruit_val)(void *));

#endif



