/*
	Module permettant de construire la table des probabilites d'emission.
*/

#ifndef _DICO_
#define _DICO_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "../include/sdg.h" 
#include "dims.h"

sdg_ht* charge_dico (char *nom_fichier_dico, sdg_ht* ht_cat, int nb_cat);

void ajoute_entree_dico (sdg_ht* ht_dico, char* mot, int cat, int cpt, int nb_cat);

void calcule_proba_dico (sdg_ht* ht_dico,int nb_cat);

double proba_mot_cat (sdg_ht* ht_dico, char* mot, int cat);

double* proba_mot_all_cat (sdg_ht* ht_dico, char* mot);

#endif
