#ifndef _BAUM_WELSH_
#define _BAUM_WELSH_

#include <stdlib.h>
#include "../include/sdg.h"
#include "dico.h"
#include "bigram.h"
#include "dims.h"

void calcule_alpha(double** alpha, sdg_ht* ht_emis, double **t_trans, double *pi, char **texte, int taille, int nb_cat);
void calcule_beta(double** beta, sdg_ht* ht_emis, double **t_trans, char **texte, int taille, int nb_cat);
void calcule_gamma(double** gamma, double **alpha, double **beta, int taille, int nb_cat);
void calcule_ro(double*** ro, sdg_ht* ht_emis, double **t_trans, double **alpha, double **beta, char **texte, int taille, int nb_cat);

void new_pi(double *pi, double **gamma, int nb_cat);
void new_emis(sdg_ht *ht_emis, double **gamma, char **texte, int taille, int nb_cat);
void new_trans(double ** t_trans, double **gamma,double ***ro, char **texte, int taille, int nb_cat);

#endif
